Google Web Toolkit (Beta)
Search this site:

# Interface FiresFormEvents

public interface FiresFormEvents
// Implemented by `FormPanel`
A widget that implements this interface fires the events defined by the FormHandler interface.

## Methods

addFormHandler(FormHandler) | Adds a handler interface to receive click events.
removeFormHandler(FormHandler) | Removes a previously added handler interface.

## Method Detail

### addFormHandler

public void addFormHandler(FormHandler handler)
Adds a handler interface to receive click events.

#### Parameters

handler
  the handler interface to add

### removeFormHandler

public void removeFormHandler(FormHandler handler)
Removes a previously added handler interface.

#### Parameters

handler
  the handler interface to remove